import React, { useState, useEffect } from 'react';
import { Form, Input, Button, Icon, Select, message, Table, Divider, Tag, Pagination, Modal, DatePicker, notification } from 'antd';
import router from 'umi/router';
import moment from 'moment';
import AuthButton from '@/components/AuthButton';
import withActions from '@/components/ActionList';
import EditIcon from '@/components/EditIcon';
import Navigate from '@/components/Navigate';
import styles from '../../style/GoodsList.less';
import BuildSelect from '@/components/SelectButton/BuildSelect'
import ChannelSelect from '@/components/SelectButton/channelSelect'
import apis from '../../../services/apis';
import request from '../../../utils/request';

// import RaiseHelpDoc from '../edit/components/RaiseHelpDoc';

const data = [{
    id: '1',
}]

const qrcodelist = props => {
    // const [data, setData] = useState([])
    const [showHelp, setShowHelp] = useState(false)

    // 查询列表
    //   const getList = params => {
    //     request({ ...apis.taEcontract.listContractTemplate, params: { ...params } }).then(data => {
    //       console.log(data)
    //       setData(data)
    //     })
    //   }

    // eslint-disable-next-line react-hooks/rules-of-hooks
    //   useEffect(() => {
    //     getList({ pageNum: 1, pageSize: 10 });
    //   }, [])

    const toAdd = () => {
        router.push({
            pathname: '/qrcode/qrcodelist/add',
        });
    }

    const toDataRecord = () => {
        router.push({
            pathname: '/qrcode/qrcodelist/dataRecord',
        });
    }

    /**
     *
     *
     * @param {*} props
     * @returns
     */
    const columns = [
        {
            title: '二维码',
            dataIndex: 'contractTemplateName',
            key: 'contractTemplateName',
            align: 'center',
            render: (x, row) => <Navigate >{row.contractTemplateName}</Navigate>,
        },
        {
            title: '二维码内容',
            dataIndex: 'createDate',
            key: 'createDate',
            align: 'center',

        },
        {
            title: '二维码类型',
            dataIndex: 'createDate',
            key: 'createDate',
            align: 'center',

        },
        {
            title: '关联项目',
            dataIndex: 'createDate',
            key: 'createDate',
            align: 'center',

        },
        {
            title: '关联渠道',
            dataIndex: 'createDate',
            key: 'createDate',
            align: 'center',

        },
        {
            title: '创建时间',
            dataIndex: 'createDate',
            key: 'createDate',
            align: 'center',

        },
        {
            title: '操作',
            dataIndex: '',
            key: '',
            align: 'center',
            render: withActions((text, record) => [
                <EditIcon type="download" text="下载二维码" ></EditIcon>,

                <EditIcon type="data" text="数据" onClick={() => toDataRecord(record.id)} ></EditIcon>,

            ]),
        },
    ];


    //   const changePageNum = pageNumber => {
    //     getList({ pageNum: pageNumber, pageSize: 10, ...props.form.getFieldsValue() })
    //   }

    const rowSelection = {
        onChange: (selectedRowKeys, selectedRows) => {
            console.log('selectedRowKeys:', selectedRowKeys, 'selectedRows: ', selectedRows);
            //   setContractList(selectedRows)
        },
    };

    //   // 提交事件
    //   const handleSubmit = e => {
    //     e.preventDefault();
    //     props.form.validateFields((err, values) => {
    //       if (!err) {      
    //         getList({ pageNum: 1, pageSize: 10, ...values })
    //       }
    //     });
    //   }

    //   // 重置搜索
    function handleReset() {
        props.form.resetFields();
        // setTime('')
        // getList({ pageNum: 1, pageSize: 10 })
    }

    const { getFieldDecorator } = props.form
    return (

        <>
            <Form layout="inline" style={{ marginBottom: '10px' }} onSubmit={e => handleSubmit(e)}>
                <Form.Item>
                    {getFieldDecorator('qrcodetype')(
                        <Input
                            placeholder="二维码类型"
                        />,
                    )}
                </Form.Item>
                <Form.Item>
                    {getFieldDecorator('qrcodename')(
                        <Input
                            placeholder="二维码内容"
                        />,
                    )}
                </Form.Item>
                <Form.Item>
                    {getFieldDecorator('channe')(
                        <ChannelSelect all />,
                    )}
                </Form.Item>
                <Form.Item>
                    {getFieldDecorator('build')(
                        <BuildSelect />,
                    )}
                </Form.Item>
                <Form.Item>
                    <Button type="primary" htmlType="submit" className={styles.searchBtn}>搜索</Button>
                    <Button style={{ marginLeft: 8 }} onClick={handleReset}>重置</Button>
                </Form.Item>
            </Form>

            <Button type="danger" onClick={() => toAdd()}>新增</Button>

            <Button type="primary" style={{ marginLeft: '30px' }}>删除</Button>
            <Icon type="question-circle" theme="filled" style={{ fontSize: '25px', color: '#F00', marginLeft: '30px' }} onClick={() => setShowHelp(true)} />
            <Modal
                title="相关说明"
                centereds
                visible={showHelp}
                footer={null}
                onCancel={() => setShowHelp(false)}
                width="700px"
            >
                <p style={{ fontSize: '0.106rem', color: '#333', marginBottom: '8px' }}>1、支持为小程序中的项目、活动、资讯生成单独的二维码，用于渠道投放；</p>
                <p style={{ fontSize: '0.106rem', color: '#333', marginBottom: '8px' }}>2、同一个活动需要投放多个渠道时，需要生成多个二维码；</p>
                <p style={{ fontSize: '0.106rem', color: '#333', marginBottom: '8px' }}>3、点击每个二维码列表的“数据记录”可查看对应的获客记录</p>


            </Modal>

            <Table rowSelection={rowSelection}
                dataSource={data} columns={columns} pagination={false} rowKey={r => r.id} />
            {/* <div style={{ display: 'flex', justifyContent: 'flex-end', marginTop: '30px' }}>
        <Pagination showQuickJumper defaultCurrent={1} total={data.total} onChange={e => changePageNum(e)} current={data.current}/>
      </div> */}
        </>
    )
}
const WrappedQrcodelist = Form.create({ name: 'qrcodelist' })(qrcodelist);

export default WrappedQrcodelist
