import React, { useState, useEffect } from 'react';
import { Form, Input, Button, Icon, Select, message, Table, Divider, Tag, Pagination, Modal, DatePicker } from 'antd';
import router from 'umi/router';
import apis from '../../../../services/apis';
import request from '../../../../utils/request';
import AuthButton from '../../../../components/AuthButton';
import WxDictSelect from '@/components/SelectButton/WxDictSelect';
import moment from 'moment';


const newuser = props => {
  const [showHelp, setShowHelp] = useState(false)
  const [data, setData] = useState({})


  useEffect(() => {
    // console.log(activityId, activityType)
    // getList({ pageNum: 1, pageSize: 10 })

  }, [])

  const getList = params => {
    // console.log(params)
    // request({ ...apis.activityDataStatis.activityAddRegist, params: { ...params, activityId: activityId, activityType: activityType, ...date } }).then(data => {
    //   console.log(data)
    //   props.getData()
    //   setData(data)
    // }).catch(e => {
    //   console.log(e)
    // })
  }

  const columns = [
    {
      title: '姓名',
      dataIndex: 'nickName',
      key: 'nickName',
    },
    {
      title: '电话',
      dataIndex: 'phone',
      key: 'phone',
    },
    {
      title: '性别',
      dataIndex: 'gender',
      key: 'gender',
    },
    {
      title: '归属地',
      dataIndex: 'province',
      key: 'province',
    },
    {
      title: '注册时间',
      dataIndex: 'visitDate',
      key: 'visitDate',
      render: (x, row) => <><span>{`${moment(row.visitDate).format('YYYY-MM-DD HH:mm:ss')}`}</span></>,
    },
  ]


  const changePageNum = pageNumber => {
    getList({ pageNum: pageNumber, pageSize: 10, ...props.form.getFieldsValue() })
  }


  const exportActivityStats = () => {

    request({ ...apis.activityDataStatis.activityAddRegistNumExport, params: { activityId: activityId, activityType: activityType, ...props.form.getFieldsValue(), ...date } }).then(data => {
      if (!data) {
        return
      }
      const url = window.URL.createObjectURL(new Blob([data]))
      const link = document.createElement('a')
      link.style.display = 'none'
      link.href = url
      link.setAttribute('download', '访问统计.xlsx')
      document.body.append(link)
      link.click()
    }).catch()
  }

  return <>
    <div>
      <div>
        <Button type="primary" style={{ float: 'right', marginBottom: '20px', zIndex: 1 }} onClick={exportActivityStats}>导出</Button>
      </div>
      <Table style={{ marginTop: '30px' }} dataSource={data.records} columns={columns} pagination={false} rowKey="activityList" />
      <div style={{ display: 'flex', justifyContent: 'flex-end', marginTop: '30px' }}>
        <Pagination showQuickJumper defaultCurrent={1} total={data.total} onChange={changePageNum} current={data.current} />
      </div>
    </div>
  </>
}

export default newuser